Bug 1576691 - After updating Fedora, kernel never update in grub boot menu
Summary: After updating Fedora, kernel never update in grub boot menu
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 07:37 UTC by Mars
Modified: 2019-05-03 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 13:50:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Mars 2018-05-10 07:37:19 UTC
Description of problem:
I use Fedora Workstation. Start with Fedora 26, update to 27 and now 28.
I use Tilix terminal emulator and update my system with 
dnf upgrade
command.
This problem is available on my Fedora 27 (4.14 kernel) and updating to 28 (4.16 kernel), but kernel is stay at 4.14 on Fedora 28.
I want to run
sudo grub2-mkconfig -o /boot/grub2/grub.cfg
for setting up the new kernel versions at boot. FE: 4.16.5 to 4.16.7

The DNF is run as well. Download > Install > Clear > adjust.

dnf upgrade output:
clear  kernel 4.16.5
adjust kernel 4.16.5 ....
How set 4.16.5 if before clear it? 


Sorry for reporting, can be it's normal? I don't get a trusted answer.

Comment 1 Ben Cotton 2019-05-02 21:48:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Mars 2019-05-03 13:50:56 UTC
It's on F28
Correct, because do not hide (dualboot) another OS, but i cant use the new kernel on dualboot systems :/ 
Or i can use new kernel, but i lost my other OS from grub menu. :/ 

F30 - I dont know, sorry :/


Note You need to log in before you can comment on or make changes to this bug.